 html, body {
margin:0;
padding:0;
}
#container {
position: relative;
background-color: gray;
height: 2000px;
}
.box {
line-height: 80px;
width: 80px;
height: 80px;
text-align: center;
font-family: Arial, Helvetica, sans-serif;
color: white;
}

#box1 {
position: absolute;
top: 0px;
left: 0px;
background-color: green;
border: 2px solid darkgreen;
border-radius: 5px;
z-index: 1;

}
#box2 {
position: relative;
top: 45px;
left: 40px;
background-color: orange;
border: 2px solid darkorange;
border-radius: 5px;
z-index: 0;
}
#box3 {
position: absolute;
top: 100px;
left: 10px;
background-color: blue;
border: 2px solid darkblue;
border-radius: 5px; 
z-index: 1;    
}